Bug 479041 - government epass registration doesn't work with openjdk
government epass registration doesn't work with openjdk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 12:45 EST by Michael J. Chudobiak
Modified: 2009-06-02 10:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.6.0.0-18.b16.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 10:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Chudobiak 2009-01-06 12:45:39 EST
Various government of Canada web services are secured with "epass". The registration process does not seem to work with openjdk.

For example, go to http://www.cra-arc.gc.ca/esrvc-srvce/tx/ndvdls/myccnt/menu-eng.html and click on "Register". The registration applet starts loading, but appears to go on forever without fully loading.

This site is supposed to work with Firefox / Linux / Sun jvm, so I suspect the flaw is in openjdk.

- Mike
Comment 1 Brian Vuyk 2009-04-22 20:32:27 EDT
Just confirming. E-pass refuses to load on any government sites. I may try to install a Sun java version to test if that is indeed the issue.
Comment 2 Deepak Bhole 2009-04-23 08:14:09 EDT
Thanks. I fixed the issue upstream recently. It will be in the next set of updates. I'll close this bug once it is.
Comment 3 Michael J. Chudobiak 2009-04-23 13:04:32 EDT
Deepak,

Do you have a release number we can watch for?

- Mike
Comment 4 Fedora Update System 2009-05-30 10:15:39 EDT
java-1.6.0-openjdk-1.6.0.0-18.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-18.b16.fc10
Comment 5 Fedora Update System 2009-05-30 10:16:41 EDT
java-1.6.0-openjdk-1.6.0.0-22.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-22.b16.fc11
Comment 6 Fedora Update System 2009-06-02 10:22:22 EDT
java-1.6.0-openjdk-1.6.0.0-22.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-02 10:30:01 EDT
java-1.6.0-openjdk-1.6.0.0-18.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.